#
# spec file for package kpncalc (Version 0.6)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake db-devel docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db db-devel devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         kpncalc
Copyright:    unknown
Group:        X11/KDE/Applications
Summary:      Reverse Polish Notation Calculator
Version:      0.6
Release:      258
Source0:      kpncalc-0.6.tar.bz2
Patch0: kpncalc-0.6.dif

%description
In the reverse polish notation you always enter the arguments first and then
the operators. Instead of (2 + 3) * 8, you write 2 3 + 8 *.

Authors:
--------
    B. Heath Robinson <bheath@earthlink.net>

SuSE series: k2de

%prep
%setup -n kpncalc-0.6
%patch -p 0 -E

%build
%{?suse_update_config:%{suse_update_config -f . }}
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS -DNDEBUG -O2 " ./configure \
  --prefix=/opt/kde2 \
 --with-qt-dir=/usr/lib/qt2/ \
  --disable-python \
  
touch ./po/Makefile.in --reference=./aclocal.m4
touch ./doc/en/Makefile.in --reference=./aclocal.m4
touch ./doc/Makefile.in --reference=./aclocal.m4
touch ./kpncalc/Makefile.in --reference=./aclocal.m4
touch ./Makefile.in --reference=./aclocal.m4
make

%install
make install

%files
%doc COPYING AUTHORS ChangeLog INSTALL TODO README 
%docdir /usr/doc
%docdir /usr/share/doc
%docdir /usr/share/man
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Utilities
%dir /opt/kde2/share/apps/kpncalc
%dir /opt/kde2/share/apps/kpncalc/icons
%dir /opt/kde2/share/apps/kpncalc/icons/hicolor
%dir /opt/kde2/share/apps/kpncalc/icons/hicolor/22x22
%dir /opt/kde2/share/apps/kpncalc/icons/hicolor/22x22/actions
/opt/kde2/bin/kpncalc
/opt/kde2/share/applnk/Utilities/kpncalc.desktop
/opt/kde2/share/apps/kpncalc/icons/hicolor/22x22/actions/enter.png
/opt/kde2/share/apps/kpncalc/icons/hicolor/22x22/actions/flip.png
/opt/kde2/share/apps/kpncalc/icons/hicolor/22x22/actions/swap.png
/opt/kde2/share/apps/kpncalc/kpncalcui.rc
/opt/kde2/share/apps/kpncalc/operations.rc
/opt/kde2/share/icons/locolor/16x16/apps/kpncalc.png
/opt/kde2/share/icons/locolor/32x32/apps/kpncalc.png

%changelog -n kpncalc
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Thu Jul 05 2001 - adrian@suse.de
- autoconf 2.50 fixes
- disable documentation until kdelibs 2.2
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Mar 01 2001 - ro@suse.de
- added fam to neededforbuild
* Fri Jan 05 2001 - adrian@suse.de
- fix documentation path
* Wed Jan 03 2001 - adrian@suse.de
- update to 0.6.0 (KDE 2)
* Sun May 28 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Sun May 28 2000 - @suse.de
- Spec file created from kpncalc-0.2.tar.gz by autospec
* Fri May 26 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Fri May 26 2000 - adrian@suse.de
- Spec file created from kpncalc-0.2.tar.gz by autospec
* Thu Mar 16 2000 - adrian@suse.de
- New version 0.2
* Fri Dec 03 1999 - kettner@suse.de
- Spec file created from kpncalc-0.1.tar.gz by autospec
